Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.thoughtworks.selenium
Interface CommandProcessor

All Known Implementing Classes:
  HttpCommandProcessor

    public interface CommandProcessor

Provides a `doCommand` method, which sends the command to the browser to be performed.

Version:
  $Revision: 2542 $
Author:
  Paul Hammant

Method Summary
`java.lang.String` | `doCommand(java.lang.String command, java.lang.String[] args)` Send the specified remote command to the browser to be performed
`boolean` | `getBoolean(java.lang.String string, java.lang.String[] strings)`
`boolean[]` | `getBooleanArray(java.lang.String string, java.lang.String[] strings)`
`java.lang.Number` | `getNumber(java.lang.String string, java.lang.String[] strings)`
`java.lang.Number[]` | `getNumberArray(java.lang.String string, java.lang.String[] strings)`
`java.lang.String` | `getRemoteControlServerLocation()` The URL that the RemoteControl instance is allegedly running on
`java.lang.String` | `getString(java.lang.String string, java.lang.String[] strings)`
`java.lang.String[]` | `getStringArray(java.lang.String string, java.lang.String[] strings)`
`void` | `setExtensionJs(java.lang.String extensionJs)` Sets extension Javascript for the session
`void` | `start()` Starts a new Selenium testing session
`void` | `start(java.lang.Object optionsObject)` Starts a new Selenium testing session with a configuration options object
`void` | `start(java.lang.String optionsString)` Starts a new Selenium testing session with a String, representing a configuration
`void` | `stop()` Ends the current Selenium testing session (normally killing the browser)

Method Detail

### getRemoteControlServerLocation

    java.lang.String getRemoteControlServerLocation()

  The URL that the RemoteControl instance is allegedly running on

  Returns:
    the URL

### doCommand

    java.lang.String doCommand(java.lang.String command,
                               java.lang.String[] args)

  Send the specified remote command to the browser to be performed

  Parameters:
    `command` - - the remote command verb
    `args` - - the arguments to the remote command (depends on the verb)
  Returns:
    - the command result, defined by the remote JavaScript. "getX" style commands may return data from the browser; other "doX" style commands may just return "OK" or an error message.

### setExtensionJs

    void setExtensionJs(java.lang.String extensionJs)

  Sets extension Javascript for the session

### start

    void start()

  Starts a new Selenium testing session

### start

    void start(java.lang.String optionsString)

  Starts a new Selenium testing session with a String, representing a configuration

### start

    void start(java.lang.Object optionsObject)

  Starts a new Selenium testing session with a configuration options object

### stop

    void stop()

  Ends the current Selenium testing session (normally killing the browser)

### getString

    java.lang.String getString(java.lang.String string,
                               java.lang.String[] strings)

### getStringArray

    java.lang.String[] getStringArray(java.lang.String string,
                                      java.lang.String[] strings)

### getNumber

    java.lang.Number getNumber(java.lang.String string,
                               java.lang.String[] strings)

### getNumberArray

    java.lang.Number[] getNumberArray(java.lang.String string,
                                      java.lang.String[] strings)

### getBoolean

    boolean getBoolean(java.lang.String string,
                       java.lang.String[] strings)

### getBooleanArray

    boolean[] getBooleanArray(java.lang.String string,
                              java.lang.String[] strings)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009. All Rights Reserved.